#include <stdio.h>
struct vaga{
    int min;
    int max;
}vaga;
struct pit{
    int imin;
    int imax;
    int kg;
}pit;
int main() {
    int n,m,br;
    scanf("%d%d",&n,&m);
    struct vaga v[n];
    for(int i=0;i<n;i++)
        scanf("%d%d",&v[i].min,&v[i].max);
    struct pit p[m];
    for(int i=0;i<m;i++)
        scanf("%d%d%d",&p[i].imin,&p[i].imax,&p[i].kg);
    for(int i=0;i<m;i++){
        br=0;
        for(int j=p[i].imin-1;j<p[i].imax;j++)
            if(p[i].kg>=v[j].min && p[i].kg<=v[j].max)
                br++;
        printf("%d\n",br);}
  return 0;
}